Loading...
Searching...
No Matches
jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > > Class Template Reference

`#include <array.hpp>`

Inheritance diagram for jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >:

## Public Types

using | SuperType = Object< ArrayTag<E> >
using | UntaggedType = typename SuperType::UntaggedType
using | ElementType = E
Public Types inherited from jni::Object< ArrayTag< E > >
using | TagType
using | SuperType
using | UntaggedType
Public Types inherited from jni::Object< TheTag >
using | TagType = TheTag
using | SuperType = typename TagTraits<TheTag>::SuperType
using | UntaggedType = typename TagTraits<TheTag>::UntaggedType

## Public Member Functions

jsize | Length (JNIEnv &env) const
ElementType | Get (JNIEnv &env, jsize index) const
void | Set (JNIEnv &env, jsize index, const ElementType &value)
template<class Array>
void | GetRegion (JNIEnv &env, jsize start, Array &buf) const
template<class Array>
void | SetRegion (JNIEnv &env, jsize start, const Array &buf)
Public Member Functions inherited from jni::Object< ArrayTag< E > >
UntaggedType * | get () const
UntaggedType & | operator* () const
auto | Get (JNIEnv &env, const Field< TagType, T > &field) const -> std::enable_if_t< IsPrimitive< T >::value, T >
auto | Get (JNIEnv &env, const Field< TagType, T > &field) const -> std::enable_if_t< !IsPrimitive< T >::value, Local< T > >
auto | Set (JNIEnv &env, const Field< TagType, T > &field, T value) const -> std::enable_if_t< IsPrimitive< T >::value >
auto | Set (JNIEnv &env, const Field< TagType, Expected > &field, const Actual &value) const -> std::enable_if_t< !IsPrimitive< Expected >::value &&std::is_convertible< const Actual &, const Expected & >::value >
auto | Call (JNIEnv &env, const Method< TagType, R(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< IsPrimitive< R >::value &&Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value, R >
auto | Call (JNIEnv &env, const Method< TagType, R(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< !IsPrimitive< R >::value &&!std::is_void< R >::value &&Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value, Local< R > >
auto | Call (JNIEnv &env, const Method< TagType, void(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value >
auto | CallNonvirtual (JNIEnv &env, const Class< TagType > &clazz, const Method< TagType, R(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< IsPrimitive< R >::value &&Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value, R >
auto | CallNonvirtual (JNIEnv &env, const Class< TagType > &clazz, const Method< TagType, R(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< !IsPrimitive< R >::value &&!std::is_void< R >::value &&Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value, Local< R > >
auto | CallNonvirtual (JNIEnv &env, const Class< TagType > &clazz, const Method< TagType, void(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value >
Public Member Functions inherited from jni::Object< TheTag >
UntaggedType * | get () const
UntaggedType & | operator* () const
template<class T>
auto | Get (JNIEnv &env, const Field< TagType, T > &field) const -> std::enable_if_t< IsPrimitive< T >::value, T >
template<class T>
auto | Get (JNIEnv &env, const Field< TagType, T > &field) const -> std::enable_if_t< !IsPrimitive< T >::value, Local< T > >
template<class T>
auto | Set (JNIEnv &env, const Field< TagType, T > &field, T value) const -> std::enable_if_t< IsPrimitive< T >::value >
template<class Expected, class Actual>
auto | Set (JNIEnv &env, const Field< TagType, Expected > &field, const Actual &value) const -> std::enable_if_t< !IsPrimitive< Expected >::value &&std::is_convertible< const Actual &, const Expected & >::value >
template<class R, class... ExpectedArgs, class... ActualArgs>
auto | Call (JNIEnv &env, const Method< TagType, R(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< IsPrimitive< R >::value &&Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value, R >
template<class R, class... ExpectedArgs, class... ActualArgs>
auto | Call (JNIEnv &env, const Method< TagType, R(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< !IsPrimitive< R >::value &&!std::is_void< R >::value &&Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value, Local< R > >
template<class... ExpectedArgs, class... ActualArgs>
auto | Call (JNIEnv &env, const Method< TagType, void(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value >
template<class R, class... ExpectedArgs, class... ActualArgs>
auto | CallNonvirtual (JNIEnv &env, const Class< TagType > &clazz, const Method< TagType, R(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< IsPrimitive< R >::value &&Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value, R >
template<class R, class... ExpectedArgs, class... ActualArgs>
auto | CallNonvirtual (JNIEnv &env, const Class< TagType > &clazz, const Method< TagType, R(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< !IsPrimitive< R >::value &&!std::is_void< R >::value &&Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value, Local< R > >
template<class... ExpectedArgs, class... ActualArgs>
auto | CallNonvirtual (JNIEnv &env, const Class< TagType > &clazz, const Method< TagType, void(ExpectedArgs...)> &method, const ActualArgs &... args) const -> std::enable_if_t< Conjunction< std::is_convertible< const ActualArgs &, const ExpectedArgs & >... >::value >

## Static Public Member Functions

static Local< Array< E > > | New (JNIEnv &env, jsize length)

## Protected Member Functions

| Array (std::nullptr_t=nullptr)
| Array (UntaggedType *p)
| Array (const Array &)=delete
Array & | operator= (const Array &)=delete
Protected Member Functions inherited from jni::Object< ArrayTag< E > >
| Object (std::nullptr_t=nullptr)
| Object (UntaggedType *p)
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
Protected Member Functions inherited from jni::Object< TheTag >
| Object (std::nullptr_t=nullptr)
| Object (UntaggedType *p)
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete

## Member Typedef Documentation

## ElementType

template<class E>

using jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::ElementType = E

## SuperType

template<class E>

using jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::SuperType = Object< ArrayTag<E> >

## UntaggedType

template<class E>

using jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::UntaggedType = typename SuperType::UntaggedType

## Constructor & Destructor Documentation

## Array() [1/3]

template<class E>

jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::Array | ( | std::nullptr_t | = nullptr | ) |

inline explicit protected

## Array() [2/3]

template<class E>

jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::Array | ( | UntaggedType * | p | ) |

inline explicit protected

## Array() [3/3]

template<class E>

jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::Array | ( | const Array< E, std::enable_if_t< IsPrimitive< E >::value > > & |  | ) |

protected delete

## Member Function Documentation

## Get()

template<class E>

ElementType jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::Get | ( | JNIEnv & | env,
|  | jsize | index ) const

inline

## GetRegion()

template<class E>
template<class Array>

void jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::GetRegion | ( | JNIEnv & | env,
|  | jsize | start,
|  | Array< E, std::enable_if_t< IsPrimitive< E >::value > > & | buf ) const

inline

## Length()

template<class E>

jsize jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::Length | ( | JNIEnv & | env | ) | const

inline

## New()

template<class E>

Local< Array< E > > jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::New | ( | JNIEnv & | env,
|  | jsize | length )

inline static

## operator=()

template<class E>

Array & jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::operator= | ( | const Array< E, std::enable_if_t< IsPrimitive< E >::value > > & |  | ) |

protected delete

## Set()

template<class E>

void jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::Set | ( | JNIEnv & | env,
|  | jsize | index,
|  | const ElementType & | value )

inline

## SetRegion()

template<class E>
template<class Array>

void jni::Array< E, std::enable_if_t< IsPrimitive< E >::value > >::SetRegion | ( | JNIEnv & | env,
|  | jsize | start,
|  | const Array< E, std::enable_if_t< IsPrimitive< E >::value > > & | buf )

inline

The documentation for this class was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/array.hpp